Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 107515 - NPE while selecting webservice operation.
NPE while selecting webservice operation.
Status: CLOSED FIXED
Product: javame
Classification: Unclassified
Component: Web Services
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Michal Skvor
issues@mobility
:
Depends on:
Blocks: 104262
  Show dependency treegraph
 
Reported: 2007-06-20 20:53 UTC by pcmreddy
Modified: 2007-06-27 20:10 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
NPE (5.06 KB, text/plain)
2007-06-20 20:54 UTC, pcmreddy
Details
WebApp (43.39 KB, application/octet-stream)
2007-06-20 21:08 UTC, pcmreddy
Details
MobileApp (15.25 KB, application/octet-stream)
2007-06-20 21:08 UTC, pcmreddy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pcmreddy 2007-06-20 20:53:59 UTC
Build used 06/17/07 on xp with JDK 1.6 U1

NPE while selecting WebService operation.
See attached NPE.txt for details.

How to reproduce.
Tried to use the tutorial and building from scratch.

How ever finished application is running fine.
Comment 1 pcmreddy 2007-06-20 20:54:44 UTC
Created attachment 44106 [details]
NPE
Comment 2 pcmreddy 2007-06-20 20:55:57 UTC
No client code is generated after NPE.
Comment 3 pcmreddy 2007-06-20 21:06:44 UTC
I can only see "WebToMobileClient.wsclient" is added to Mobile project.
Rest of client java files are missing.

See Attached project for details.

Comment 4 pcmreddy 2007-06-20 21:08:38 UTC
Created attachment 44107 [details]
WebApp
Comment 5 pcmreddy 2007-06-20 21:08:56 UTC
Created attachment 44108 [details]
MobileApp
Comment 6 Peter Pis 2007-06-25 19:05:45 UTC
This issue is showstopper for M10. Please integrate the fix into the trunk and "release60-m10" branch. 
Comment 7 Michal Skvor 2007-06-27 13:14:41 UTC
Fixed. However byte[] code is not generated properly. See issue http://www.netbeans.org/issues/show_bug.cgi?id=108279
Comment 8 pcmreddy 2007-06-27 20:09:18 UTC
Verified in M10 on 6/27.
NPE is fixed now.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo